# animated_tile_sl.cpp File Reference

Code handling saving and loading of animated tiles. More...

`#include "../stdafx.h"`
`#include "../tile_type.h"`
`#include "../core/alloc_func.hpp"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
static void | Save_ANIT ()
| Save the ANIT chunk.
static void | Load_ANIT ()
| Load the ANIT chunk; the chunk containing the animated tiles.
## Variables
TileIndex * | _animated_tile_list
| The table/list with animated tiles.
uint | _animated_tile_count
| The number of animated tiles in the current state.
uint | _animated_tile_allocated
| The number of slots for animated tiles allocated currently.
const ChunkHandler | _animated_tile_chunk_handlers []
| "Definition" imported by the saveload code to be able to load and save the animated tile table.

## Detailed Description

Code handling saving and loading of animated tiles.

Definition in file animated_tile_sl.cpp.

## Variable Documentation

uint _animated_tile_allocated

The number of slots for animated tiles allocated currently.

Definition at line 22 of file animated_tile.cpp.

Referenced by AddAnimatedTile(), InitializeAnimatedTiles(), and Load_ANIT().

const ChunkHandler _animated_tile_chunk_handlers[]

Initial value:

     {
      { 'ANIT', Save_ANIT, Load_ANIT, NULL, NULL, CH_RIFF | CH_LAST},
    }

"Definition" imported by the saveload code to be able to load and save the animated tile table.

uint _animated_tile_count

The number of animated tiles in the current state.

Definition at line 20 of file animated_tile.cpp.

TileIndex* _animated_tile_list

The table/list with animated tiles.

Definition at line 18 of file animated_tile.cpp.